<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Resize Image No HD</title>
    <script type="text/javascript" src="../packages/hotdrink.js"></script>
    <script type="module" src="img.js"></script>
    <style>
      fieldset#size input[type="text"] {
        width: 8ex;
      }

      section {
        padding: 0.1em;
      }

      .size {
        display: inline-block;
        width: 200px;
        border: 1px solid white;
        text-align: center;
      }

      .head {
        display: block;
        padding: 0.3em;
      }
    </style>
  </head>
  <body>
    <section>
      <label class="head">Recorder Options</label>
      <button id="start" disabled>Start Recording</button>
      <button id="stop">Stop Recording</button>
      <button id="replay">Replay</button>
      <button id="double-width">Double Width</button>
    </section>

    <aside>
      <img
        id="img"
        src="green.webp"
        style="float: right"
        alt="A cute green panda"
      />
    </aside>

    <section>
      <label class="head">Manipulate Image</label>
      <fieldset id="size">
        <div class="size">
          <label
            >Original width <input min="1" id="init-x" type="number" disabled
          /></label>
          <label
            >Absolute width <input min="1" id="abs-x" type="number"
          /></label>
          <label
            >Relative (to original) width
            <input min="0" step="0.000000000000001" id="rel-x" type="number"
          /></label>
        </div>
        <div class="size">
          <label
            >Original height <input min="1" id="init-y" type="number" disabled
          /></label>
          <label
            >Absolute height <input min="1" id="abs-y" type="number"
          /></label>
          <label
            >Relative (to original) height
            <input id="rel-y" min="0" step="0.000000000000001" type="number"
          /></label>
        </div>
      </fieldset>
    </section>
  </body>
</html>
